Package org.apache.cayenne.ashwood.graph

## Class ReversedIteration<E,​V>

- java.lang.Object
- - org.apache.cayenne.ashwood.graph.ReversedIteration<E,​V>

- All Implemented Interfaces:
    `DigraphIteration<E,​V>`

      public class ReversedIteration<E,​V>
      extends Object
      implements DigraphIteration<E,​V>

  Since:
    3.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ReversedIteration.ReversedArcIterator<S,​T>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReversedIteration​(DigraphIteration<E,​V> wrappedIteration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArcIterator<E,​V>` | `arcIterator()` |
    `ArcIterator<E,​V>` | `incomingIterator​(E vertex)` |
    `ArcIterator<E,​V>` | `outgoingIterator​(E vertex)` |
    `Iterator<E>` | `vertexIterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReversedIteration

          public ReversedIteration​(DigraphIteration<E,​V> wrappedIteration)

  - ### Method Detail

    - #### vertexIterator

          public Iterator<E> vertexIterator()

      Specified by:
        `vertexIterator` in interface `DigraphIteration<E,​V>`

    - #### arcIterator

          public ArcIterator<E,​V> arcIterator()

      Specified by:
        `arcIterator` in interface `DigraphIteration<E,​V>`

    - #### outgoingIterator

          public ArcIterator<E,​V> outgoingIterator​(E vertex)

      Specified by:
        `outgoingIterator` in interface `DigraphIteration<E,​V>`

    - #### incomingIterator

          public ArcIterator<E,​V> incomingIterator​(E vertex)

      Specified by:
        `incomingIterator` in interface `DigraphIteration<E,​V>`